DROP TABLE IF EXISTS test_gtfs.join_srta;

CREATE INDEX IF NOT EXISTS agency_id_idx ON test_gtfs.agency(agency_id);
CREATE INDEX IF NOT EXISTS routes_id_idx ON test_gtfs.routes(route_id);
CREATE INDEX IF NOT EXISTS stop_tms_stop_id_idx ON test_gtfs.stop_times(stop_id);
CREATE INDEX IF NOT EXISTS stop_tms_trip_id_idx ON test_gtfs.stop_times(trip_id);
CREATE INDEX IF NOT EXISTS stops_id_idx ON test_gtfs.stops(stop_id);
CREATE INDEX IF NOT EXISTS trips_id_idx ON test_gtfs.trips(trip_id);

VACUUM ANALYZE;

CREATE TABLE IF NOT EXISTS test_gtfs.join_srta AS SELECT trips.trip_id, trips.trip_headsign, routes.route_id, routes.route_short_name, agency.agency_id, agency.agency_name, stops.stop_id, stops.stop_name FROM test_gtfs.trips AS trips JOIN test_gtfs.routes AS routes ON trips.route_id = routes.route_id JOIN test_gtfs.agency AS agency ON routes.agency_id = agency.agency_id JOIN test_gtfs.stop_times AS times ON trips.trip_id = times.trip_id JOIN test_gtfs.stops AS stops ON times.stop_id = stops.stop_id ORDER BY stops.stop_id, routes.route_id, trips.trip_id;

CREATE INDEX IF NOT EXISTS join_srta_stop_id_idx ON test_gtfs.join_srta(stop_id);

VACUUM ANALYZE;

SELECT count(*) FROM test_gtfs.join_srta WHERE stop_id LIKE '%de:08111:2420%';
SELECT stop_id, route_id, trip_id, route_short_name, agency_name FROM test_gtfs.join_srta WHERE stop_id LIKE '%de:08111:2420%';
SELECT * FROM test_gtfs.join_srta WHERE stop_id LIKE '%de:08111:2420%';
SELECT * FROM test_gtfs.join_srta WHERE stop_id LIKE '%de:08111:2420%' LIMIT 10;

DROP TABLE IF EXISTS test_gtfs.join_srta_s_laihle;

CREATE TABLE IF NOT EXISTS test_gtfs.join_srta_s_laihle AS SELECT * FROM test_gtfs.join_srta WHERE stop_id LIKE '%de:08111:2420%';

SELECT count(*) FROM test_gtfs.join_srta_s_laihle;
SELECT * FROM test_gtfs.join_srta_s_laihle;

---psql -h localhost -p 5432 -U sib00_delfi -d sib00_delfi -c "COPY (SELECT * FROM test_gtfs.join_srta_s_laihle) TO STDOUT WITH CSV HEADER;" -o ~/Downloads/test_gtfs.join.srta_s_laihle.csv
